You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

PKGBUILD 6.4KB

5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177
  1. # $Id$
  2. # Maintainer: Iacopo Isimbaldi <isiachi@rhyeworld.it>
  3. # Original maintainer: Rudolf Polzer <divVerent[at]xonotic[dot]org>
  4. # Original maintainer: Ionut Biru <ibiru@archlinux.org>
  5. # Original maintainer: Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
  6. # Contributor: Tom Newsom <Jeepster@gmx.co.uk>
  7. # Contributor: Paul Mattal <paul@archlinux.org>
  8. # NOTE before flagging this out of date: this PKGBUILD is supposed to have the
  9. # same ffmpeg version as extra/ffmpeg. Once that one got updated, this one
  10. # needs too.
  11. pkgname=ffmpeg-full
  12. pkgver=2.6.2
  13. pkgrel=1
  14. epoch=1
  15. pkgdesc='Complete and free Internet live audio and video broadcasting solution (with all options)'
  16. arch=('i686' 'x86_64')
  17. url='http://ffmpeg.org/'
  18. license=('GPL' 'custom:UNREDISTRIBUTABLE')
  19. depends=(
  20. 'alsa-lib' 'bzip2' 'fontconfig' 'gnutls' 'gsm' 'lame' 'libass' 'libvdpau'
  21. 'libbluray' 'libmodplug' 'libpulse' 'libtheora' 'libva' 'libvorbis' 'libvpx'
  22. 'opencore-amr' 'openjpeg' 'opus' 'schroedinger' 'sdl' 'speex'
  23. 'v4l-utils' 'xvidcore' 'zlib' 'fribidi' 'libssh'
  24. 'libx264.so' 'libx265.so'
  25. 'celt' 'decklink-sdk' 'faac' 'frei0r-plugins' 'jack' 'ladspa' 'libaacplus'
  26. 'libavc1394' 'libbs2b' 'libcaca' 'libcdio-paranoia' 'libcl' 'libdc1394'
  27. 'libfdk-aac' 'libgme' 'libiec61883' 'libsoxr' 'libutvideo-git'
  28. 'libwebp' 'libxv' 'mesa' 'openal' 'opencl-headers12' 'rtmpdump' 'shine' 'twolame'
  29. 'vid.stab' 'vo-aacenc' 'vo-amrwbenc' 'wavpack' 'zeromq' 'zvbi'
  30. )
  31. makedepends=('libvdpau' 'yasm' 'hardening-wrapper')
  32. conflicts=('ffmpeg' 'ffmpeg-git' 'ffmpeg-full-git')
  33. provides=('ffmpeg')
  34. source=(http://ffmpeg.org/releases/ffmpeg-$pkgver.tar.bz2{,.asc}
  35. UNREDISTRIBUTABLE.txt)
  36. validpgpkeys=('FCF986EA15E6E293A5644F10B4322F04D67658D8') # ffmpeg-devel
  37. sha256sums=('889e3aa069b724dc95cbfc79ef83322a8a39d9f6225f39fad1b47294fc1f29ba'
  38. 'SKIP'
  39. 'e0c1b126862072a71e18b9580a6b01afc76a54aa6e642d2c413ba0ac9d3010c4')
  40. build() {
  41. #source /etc/profile.d/perlbin.sh
  42. cd ${pkgname%-full}-$pkgver
  43. CFLAGS='-I/usr/src/decklink-sdk' \
  44. ./configure \
  45. --prefix=/usr \
  46. --disable-debug \
  47. --disable-static \
  48. --disable-stripping \
  49. --enable-shared \
  50. --enable-avisynth \
  51. --enable-avresample \
  52. --enable-decklink \
  53. --enable-decoder=atrac3 \
  54. --enable-decoder=atrac3p \
  55. --enable-dxva2 \
  56. --enable-fontconfig \
  57. --enable-frei0r \
  58. --enable-gnutls \
  59. --enable-gpl \
  60. --enable-gray \
  61. --enable-ladspa \
  62. --enable-libaacplus \
  63. --enable-libass \
  64. --enable-libbluray \
  65. --enable-libbs2b \
  66. --enable-libcaca \
  67. --enable-libcdio \
  68. --enable-libcelt \
  69. --enable-libdc1394 \
  70. --enable-libfaac \
  71. --enable-libfdk-aac \
  72. --enable-libfreetype \
  73. --enable-libfribidi \
  74. --enable-libgme \
  75. --enable-libgsm \
  76. --enable-libiec61883 \
  77. --enable-libmodplug \
  78. --enable-libmp3lame \
  79. --enable-libopencore-amrnb \
  80. --enable-libopencore-amrwb \
  81. --enable-libopencv \
  82. --enable-libopenjpeg \
  83. --enable-libopus \
  84. --enable-libpulse \
  85. --enable-librtmp \
  86. --enable-libschroedinger \
  87. --enable-libshine \
  88. --enable-libsoxr \
  89. --enable-libspeex \
  90. --enable-libssh \
  91. --enable-libtheora \
  92. --enable-libtwolame \
  93. --enable-libutvideo \
  94. --enable-libv4l2 \
  95. --enable-libvidstab \
  96. --enable-libvo-aacenc \
  97. --enable-libvo-amrwbenc \
  98. --enable-libvorbis \
  99. --enable-libvpx \
  100. --enable-libwavpack \
  101. --enable-libwebp \
  102. --enable-libx264 \
  103. --enable-libx265 \
  104. --enable-libxvid \
  105. --enable-libzmq \
  106. --enable-libzvbi \
  107. --enable-nonfree \
  108. --enable-openal \
  109. --enable-opencl \
  110. --enable-opengl \
  111. --enable-openssl \
  112. --enable-runtime-cpudetect \
  113. --enable-shared \
  114. --enable-swresample \
  115. --enable-vdpau \
  116. --enable-version3 \
  117. --enable-x11grab
  118. make
  119. make tools/qt-faststart
  120. make doc/ff{mpeg,play,server}.1
  121. }
  122. package() {
  123. #source /etc/profile.d/perlbin.sh
  124. cd ${pkgname%-full}-$pkgver
  125. make DESTDIR="$pkgdir" install install-man
  126. install -Dm755 tools/qt-faststart "$pkgdir"/usr/bin/qt-faststart
  127. install -Dm644 "$srcdir"/UNREDISTRIBUTABLE.txt "$pkgdir/usr/share/licenses/$pkgname/UNREDISTRIBUTABLE.txt"
  128. }
  129. # How to audit the ./configure flags:
  130. #
  131. # cut -c 3- <<'# EOF' | sh
  132. # cd src/ffmpeg-2.2.1
  133. # export DISABLED='
  134. # # debugging flags follow:
  135. # --enable-coverage
  136. # --enable-extra-warnings
  137. # --enable-ftrapv
  138. # --enable-memalign-hack
  139. # --enable-memory-poisoning
  140. # --enable-random
  141. # --enable-xmm-clobber-test
  142. # # we do not want this:
  143. # --enable-cross-compile # not cross building
  144. # --enable-gray # slow
  145. # --enable-hardcoded-tables # no advantage
  146. # --enable-lto # slow build
  147. # --enable-shared # handled by options before --prefix
  148. # --enable-small # we want SPEED instead
  149. # --enable-incompatible-fork-abi # DO NOT WANT
  150. # --enable-incompatible-libav-abi #
  151. # --enable-neon-clobber-test # debug stuff
  152. # --enable-rpath # not needed
  153. # --enable-raise-major # incompatible
  154. # # this stuff does not build:
  155. # --enable-libflite # configure fail: /usr/lib/gcc/x86_64-unknown-linux-gnu/4.7.2/../../../../lib/libflite.a(au_alsa.o): In function "audio_open_alsa": (.text+0x20): undefined reference to "snd_pcm_hw_params_sizeof"
  156. # --enable-libilbc # configure fail: /tmp/ffconf.lccg5Ux6.c:1:18: fatal error: ilbc.h: No such file or directory
  157. # --enable-libnut # configure fail: ERROR: libnut not found (libnut-git installs no library)
  158. # --enable-libquvi # configure fail: ERROR: libquvi not found (wrong version)
  159. # --enable-libshine # configure fail: ERROR: libshine not found: /tmp/ffconf.K2xc6imx.c:2:53: error: ‘shine_encode_frame‘ undeclared (first use in this function)
  160. # --enable-libstagefright-h264 # not in AUR
  161. # --enable-libxavs # does not build from AUR: /usr/bin/ld: common/i386/deblock.o: relocation R_X86_64_32 against ".rodata" can not be used when making a shared object; recompile with -fPIC
  162. # --enable-decklink # do not ask me, will try again later. which AUR package?
  163. # # this stuff is not for linux/x86:
  164. # --enable-sram # not x86
  165. # --enable-thumb # not x86
  166. # '
  167. # ./configure --help | perl -ne 'for(/--enable-([0-9a-z-]+)\s/) { if($ENV{DISABLED} !~ /^--enable-$_\b/m) { print " --enable-$_ \\\n"; } }' | sort -u
  168. # EOF
  169. # vim:set ts=2 sw=2 et: